io.vertx.rxjava.mqtt.messages

## Class MqttSubscribeMessage

- java.lang.Object
- - io.vertx.rxjava.mqtt.messages.MqttSubscribeMessage

- All Implemented Interfaces:
    MqttMessage

      public class MqttSubscribeMessage
      extends Object
      implements MqttMessage

  Represents an MQTT SUBSCRIBE message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttSubscribeMessage>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttSubscribeMessage(MqttSubscribeMessage delegate)`
    `MqttSubscribeMessage(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MqttSubscribeMessage` | `create(int messageId, List<io.netty.handler.codec.mqtt.MqttTopicSubscription> topicSubscriptions, io.netty.handler.codec.mqtt.MqttProperties properties)` Create a concrete instance of a Vert.x subscribe message
    `boolean` | `equals(Object o)`
    `MqttSubscribeMessage` | `getDelegate()`
    `int` | `hashCode()`
    `int` | `messageId()`
    `static MqttSubscribeMessage` | `newInstance(MqttSubscribeMessage arg)`
    `io.netty.handler.codec.mqtt.MqttProperties` | `properties()`
    `List<MqttTopicSubscription>` | `topicSubscriptions()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.mqtt.messages.MqttMessage

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttSubscribeMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttSubscribeMessage

          public MqttSubscribeMessage(MqttSubscribeMessage delegate)

    - #### MqttSubscribeMessage

          public MqttSubscribeMessage(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttSubscribeMessage getDelegate()

      Specified by:
        `getDelegate` in interface `MqttMessage`

    - #### messageId

          public int messageId()

      Specified by:
        `messageId` in interface `MqttMessage`
      Returns:
        Message identifier

    - #### topicSubscriptions

          public List<MqttTopicSubscription> topicSubscriptions()

      Returns:
        List with topics and related quolity of service levels

    - #### create

          public static MqttSubscribeMessage create(int messageId,
                                                    List<io.netty.handler.codec.mqtt.MqttTopicSubscription> topicSubscriptions,
                                                    io.netty.handler.codec.mqtt.MqttProperties properties)

      Create a concrete instance of a Vert.x subscribe message
      Parameters:
        `messageId` - message identifier
        `topicSubscriptions` - list with topics and related quality of service levels (from Netty)
        `properties` - MQTT message properties
      Returns:
        Vert.x subscribe message

    - #### properties

          public io.netty.handler.codec.mqtt.MqttProperties properties()

      Returns:
        MQTT properties

    - #### newInstance

          public static MqttSubscribeMessage newInstance(MqttSubscribeMessage arg)

Copyright © 2022 Eclipse. All rights reserved.